### Property

# Soup Session:remote-connectable

#### Declaration

    property remote-connectable: Gio.SocketConnectable [ read, write, construct-only ]

#### Description [src]

Sets a socket to make outgoing connections on. This will override the default behaviour of opening TCP/IP sockets to the hosts specified in the URIs.

This function is not required for common HTTP usage, but only when connecting to a HTTP service that is not using standard TCP/IP sockets. An example of this is a local service that uses HTTP over UNIX-domain sockets, in that case a `GUnixSocketAddress` can be passed to this function.

Type:`GSocketConnectable`

Getter method | `soup_session_get_remote_connectable()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes